Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp tính diện tích chữ cái.


  • Please log in to reply
2 replies to this topic

#1 danhgapro

danhgapro

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 May 2014 - 09:03 AM

:)  Chào các bạn.

Mình đang có công việc cần tính diện tích sơn, in chữ. Nên mình nhờ các bạn chỉ giúp, hoặc viết dùm mình 1 cái lisp tính diện tích của chữ cái và số theo font chữ, kích thước chữ cần in. Cảm ơn nhiều.  :lol:


  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 07 May 2014 - 06:19 PM

Bạn thử cái này, máy phải cài express.

(vl-load-com)
(defun c:tmp (/ v0 el en l tong oe)
  (setq oe (getvar 'cmdecho))
  (setvar 'cmdecho 0)
  (command "undo" "be")
  
  (setq v0 (car (entsel "\nChon text de tinh dien tich:"))
nd (acet-dxf 1 (entget v0)))
  (command "copy" v0 "" "" "")  
  (setq el (entlast)
l nil)
  (sssetfirst nil (ssadd v0 (ssadd)))
  (C:Txtexp)
  
  (setq tong 0)
  (while (setq en (entnext el)) (setq l (cons en l) el en))
  (foreach v (vl-remove-if-not '(lambda(x) (= "POLYLINE" (acet-dxf 0 (entget x)))) l)
    (setq tong (+ tong (vla-get-Area (vlax-ename->vla-object v))))
    (entdel v))
  
  (command "undo" "e")  
  (setvar 'cmdecho oe)
  (princ (strcat "\nDien tich cua chu \"" nd "\" la: " (rtos tong))) (textscr) (princ)
)


  • 0

#3 danhgapro

danhgapro

    biết vẽ circle

  • Members
  • PipPip
  • 36 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 May 2014 - 04:16 PM

CẢM ƠN BẠN Tot77 NHIỀU NHÉ. ĐÚNG CÁI MÌNH CẦN.


  • 0